/************************************************************************
	lights.c

    Simon18F - An MB Electronics Simon clone based on the PIC18F2550
    Copyright (C) 2009 Simon Inns

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

	Email: simon.inns@gmail.com

************************************************************************/

// Global includes
#include <htc.h>

// Local includes
#include "hardware.h"
#include "lights.h"

// These functions are simple utility routines for turning the 
// lights on and off.  They are included to make it easier
// to alter the light control in the future, but don't do
// anything clever right now except allowing the light dim
// speed and brightness to be altered globally.

void lightOn(unsigned char light)
{
	hardware.light[light].dimSpeed = 14;
	hardware.light[light].brightness = 100;
	hardware.light[light].state = ON;
}

void lightOff(unsigned char light)
{
	hardware.light[light].state = OFF;
}

void lightOffNoFade(unsigned char light)
{
	hardware.light[light].dimSpeed = 100;
	hardware.light[light].state = OFF;
}